module Qt6Base_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libqt6concurrent
const libqt6concurrent_path = "/usr/lib/libQt6Concurrent.so.6"
libqt6concurrent_handle = C_NULL
get_libqt6concurrent_path() = libqt6concurrent_path
const libqt6concurrent = "libQt6Concurrent.so.6"
export libqt6core
const libqt6core_path = "/usr/lib/libQt6Core.so.6"
libqt6core_handle = C_NULL
get_libqt6core_path() = libqt6core_path
const libqt6core = "libQt6Core.so.6"
export libqt6dbus
const libqt6dbus_path = "/usr/lib/libQt6DBus.so.6"
libqt6dbus_handle = C_NULL
get_libqt6dbus_path() = libqt6dbus_path
const libqt6dbus = "libQt6DBus.so.6"
export libqt6gui
const libqt6gui_path = "/usr/lib/libQt6Gui.so.6"
libqt6gui_handle = C_NULL
get_libqt6gui_path() = libqt6gui_path
const libqt6gui = "libQt6Gui.so.6"
export libqt6network
const libqt6network_path = "/usr/lib/libQt6Network.so.6"
libqt6network_handle = C_NULL
get_libqt6network_path() = libqt6network_path
const libqt6network = "libQt6Network.so.6"
export libqt6opengl
const libqt6opengl_path = "/usr/lib/libQt6OpenGL.so.6"
libqt6opengl_handle = C_NULL
get_libqt6opengl_path() = libqt6opengl_path
const libqt6opengl = "libQt6OpenGL.so.6"
export libqt6printsupport
const libqt6printsupport_path = "/usr/lib/libQt6PrintSupport.so.6"
libqt6printsupport_handle = C_NULL
get_libqt6printsupport_path() = libqt6printsupport_path
const libqt6printsupport = "libQt6PrintSupport.so.6"
export libqt6sql
const libqt6sql_path = "/usr/lib/libQt6Sql.so.6"
libqt6sql_handle = C_NULL
get_libqt6sql_path() = libqt6sql_path
const libqt6sql = "libQt6Sql.so.6"
export libqt6test
const libqt6test_path = "/usr/lib/libQt6Test.so.6"
libqt6test_handle = C_NULL
get_libqt6test_path() = libqt6test_path
const libqt6test = "libQt6Test.so.6"
export libqt6widgets
const libqt6widgets_path = "/usr/lib/libQt6Widgets.so.6"
libqt6widgets_handle = C_NULL
get_libqt6widgets_path() = libqt6widgets_path
const libqt6widgets = "libQt6Widgets.so.6"
export libqt6xml
const libqt6xml_path = "/usr/lib/libQt6Xml.so.6"
libqt6xml_handle = C_NULL
get_libqt6xml_path() = libqt6xml_path
const libqt6xml = "libQt6Xml.so.6"
export libqt6openglwidgets
const libqt6openglwidgets_path = "/usr/lib/libQt6OpenGLWidgets.so.6"
libqt6openglwidgets_handle = C_NULL
get_libqt6openglwidgets_path() = libqt6openglwidgets_path
const libqt6openglwidgets = "libQt6OpenGLWidgets.so.6"
function __init__()
    global libqt6concurrent_handle = dlopen(libqt6concurrent_path)
    global libqt6core_handle = dlopen(libqt6core_path)
    global libqt6dbus_handle = dlopen(libqt6dbus_path)
    global libqt6gui_handle = dlopen(libqt6gui_path)
    global libqt6network_handle = dlopen(libqt6network_path)
    global libqt6opengl_handle = dlopen(libqt6opengl_path)
    global libqt6printsupport_handle = dlopen(libqt6printsupport_path)
    global libqt6sql_handle = dlopen(libqt6sql_path)
    global libqt6test_handle = dlopen(libqt6test_path)
    global libqt6widgets_handle = dlopen(libqt6widgets_path)
    global libqt6xml_handle = dlopen(libqt6xml_path)
    global libqt6openglwidgets_handle = dlopen(libqt6openglwidgets_path)
end
end
